API reference › Restricted lists › Restricted list

Update a block list entry

PATCH /v1/settings/portal/block-list/{block_list}

Scope
settings_restricted_users:edit
Roles
client, consumer, service-provider

Partially update a block list entry. Supports updating the 'blockedBy', 'blockedUser', and 'notes' fields.

Parameters

Path parameters

NameTypeDescription
block_list requiredinteger

ID of the block list entry to update

Example 2.

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Request body required

FieldTypeDescription
blockedUserobject or null
blockedUser.idstring

ID of the user being blocked

Example CSM-5W5RVY.

blockedUser.labelstring

Label of the user being blocked

Example Consumer.

notesstring or null

Optional notes

Example Updated reason for blocking.

isBehalfOfOrgboolean or null

Record the entry on behalf of the organization rather than the caller. Defaults to false.

Example false.

Example

JSON
{
  "blockedUser": {
    "id": "CSM-5W5RVY",
    "label": "Consumer"
  },
  "notes": "Updated reason for blocking",
  "isBehalfOfOrg": false
}

Example request

Shell
curl -X PATCH "https://api.fetchfido.ai/v1/settings/portal/block-list/{block_list}" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID" \
  -H "Content-Type: application/json" \
  -d '{"blockedUser":{"id":"CSM-5W5RVY","label":"Consumer"},"notes":"Updated reason for blocking","isBehalfOfOrg":false}'

Try it

Responses

200 Successfully updated block list entry

Successfully updated block list entry

JSON
{
  "success": true,
  "message": "Block List updated successfully."
}
Response fields (2)
FieldTypeDescription
successboolean

Example true.

messagestring

Example Block List updated successfully..

400 Bad request

Validation error

JSON
{
  "success": false,
  "message": "Failed to update."
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Failed to update..

401 Not signed in

Missing, invalid or expired API key.

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'settings_restricted_users:edit' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'settings_restricted_users:edit' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

404 Not found

Block List entry not found

JSON
{
  "success": false,
  "message": "Blocked user entry not found."
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Blocked user entry not found..

429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Internal Server Error

JSON
{
  "success": false,
  "message": "Something went wrong!",
  "errors": "Block list update failed: [error details]."
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Something went wrong!.

errorsstring or null

Null in production. The exception message only when the application runs with debug on.

Example Block list update failed: [error details]..